glibmm 2.78.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gio::EmblemedIcon Class Reference

Icons with Emblems. More...

`#include <giomm/emblemedicon.h>`

Inheritance diagram for Gio::EmblemedIcon:
[legend]

## Public Member Functions
| EmblemedIcon (EmblemedIcon &&src) noexcept
EmblemedIcon & | operator= (EmblemedIcon &&src) noexcept
| ~EmblemedIcon () noexcept override
GEmblemedIcon * | gobj ()
| Provides access to the underlying C GObject.
const GEmblemedIcon * | gobj () const
| Provides access to the underlying C GObject.
GEmblemedIcon * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Icon > | get_icon ()
| Gets the main icon for emblemed.
Glib::RefPtr< const Icon > | get_icon () const
| Gets the main icon for emblemed.
std::vector< Glib::RefPtr< Emblem > > | get_emblems ()
| Gets the list of emblems for the icon.
std::vector< Glib::RefPtr< const Emblem > > | get_emblems () const
| Gets the list of emblems for the icon.
void | add_emblem (const Glib::RefPtr< Emblem > &emblem)
| Adds emblem to the List of Emblems.
void | clear_emblems ()
| Removes all the emblems from icon.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark & key)
void | set_data (const Quark & key, void *data)
void | set_data_with_c_callback (const Quark & key, void *data, GDestroyNotify notify)
void | set_data (const Quark & key, void *data, DestroyNotify notify)
| Prefer set_data_with_c_callback() with a callback with C linkage.
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> &slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> &&slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from Gio::Icon
| Icon (Icon &&src) noexcept
Icon & | operator= (Icon &&src) noexcept
| ~Icon () noexcept override
GIcon * | gobj ()
| Provides access to the underlying C GObject.
const GIcon * | gobj () const
| Provides access to the underlying C GObject.
guint | hash () const
| Gets a hash for an icon.
std::string | to_string () const
| Generates a textual representation of icon that can be used for serialization such as when passing icon to a different process or saving it to persistent storage.
bool | equal (const Glib::RefPtr< Icon > &other) const
Glib::VariantBase | serialize () const
| Serializes a Icon into a Variant.
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor.
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Called by constructors of derived classes.
| Interface (GObject *castitem)
| Called by constructors of derived classes.
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< EmblemedIcon > | create (const Glib::RefPtr< Icon > &icon, const Glib::RefPtr< Emblem > &emblem)
| Creates a new emblemed icon for icon with the emblem emblem.
static Glib::RefPtr< EmblemedIcon > | create (const Glib::RefPtr< Icon > &icon)
| Creates a new emblemed icon for icon with no emblem.
Static Public Member Functions inherited from Gio::Icon
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< Icon > | create (const std::string & str)
| Generate an Icon instance from str.
static Glib::RefPtr< Icon > | deserialize (const Glib::VariantBase & value)
| Deserializes a Icon previously serialized using g_icon_serialize().

## Protected Member Functions
| EmblemedIcon (const Glib::RefPtr< Icon > &icon)
| Creates a new emblemed icon for icon with no emblem.
| EmblemedIcon (const Glib::RefPtr< Icon > &icon, const Glib::RefPtr< Emblem > &emblem)
| Creates a new emblemed icon for icon with the emblem emblem.
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char *custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info &custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gio::Icon
| Icon ()
| You should derive from this class to use it.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gio::EmblemedIcon > | wrap (GEmblemedIcon *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Related Symbols inherited from Gio::Icon
Glib::RefPtr< Gio::Icon > | wrap (GIcon *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
using | DestroyNotify = void (*)(gpointer data)

## Detailed Description

Icons with Emblems.

EmblemedIcon is an implementation of Icon that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via add_emblem().

Note that EmblemedIcon allows no control over the position of the emblems. See also Emblem for more information.

Since glibmm 2.20

## Constructor & Destructor Documentation

## ◆ EmblemedIcon() [1/3]

Gio::EmblemedIcon::EmblemedIcon | ( | EmblemedIcon && | src | ) |
| noexcept

## ◆ ~EmblemedIcon()

Gio::EmblemedIcon::~EmblemedIcon | ( |  | ) |
| override noexcept

## ◆ EmblemedIcon() [2/3]

Gio::EmblemedIcon::EmblemedIcon | ( | const Glib::RefPtr< Icon > & | icon | ) |
| explicit protected

Creates a new emblemed icon for icon with no emblem.

Parameters

  icon | An Icon.

Since glibmm 2.28

## ◆ EmblemedIcon() [3/3]

Gio::EmblemedIcon::EmblemedIcon | ( | const Glib::RefPtr< Icon > & | icon,
|  | const Glib::RefPtr< Emblem > & | emblem )
| explicit protected

Creates a new emblemed icon for icon with the emblem emblem.

Parameters

  icon | An Icon.
  emblem | An Emblem.

## Member Function Documentation

## ◆ add_emblem()

void Gio::EmblemedIcon::add_emblem | ( | const Glib::RefPtr< Emblem > & | emblem | ) |

Adds emblem to the List of Emblems.

Since glibmm 2.18

Parameters

  emblem | A Emblem.

## ◆ clear_emblems()

void Gio::EmblemedIcon::clear_emblems | ( |  | ) |

Removes all the emblems from icon.

Since glibmm 2.28

## ◆ create() [1/2]

static Glib::RefPtr< EmblemedIcon > Gio::EmblemedIcon::create | ( | const Glib::RefPtr< Icon > & | icon | ) |
| static

Creates a new emblemed icon for icon with no emblem.

Parameters

  icon | An Icon.

Returns
  An Icon.

Since glibmm 2.28

## ◆ create() [2/2]

static Glib::RefPtr< EmblemedIcon > Gio::EmblemedIcon::create | ( | const Glib::RefPtr< Icon > & | icon,
|  | const Glib::RefPtr< Emblem > & | emblem )
| static

Creates a new emblemed icon for icon with the emblem emblem.

Parameters

  icon | An Icon.
  emblem | An Emblem.

Returns
  An Icon.

## ◆ get_emblems() [1/2]

std::vector< Glib::RefPtr< Emblem > > Gio::EmblemedIcon::get_emblems | ( |  | ) |

Gets the list of emblems for the icon.

Since glibmm 2.18

Returns
  A List of Emblems that is owned by emblemed.

## ◆ get_emblems() [2/2]

std::vector< Glib::RefPtr< const Emblem > > Gio::EmblemedIcon::get_emblems | ( |  | ) | const

Gets the list of emblems for the icon.

Since glibmm 2.18

Returns
  A List of Emblems that is owned by emblemed.

## ◆ get_icon() [1/2]

Glib::RefPtr< Icon > Gio::EmblemedIcon::get_icon | ( |  | ) |

Gets the main icon for emblemed.

Since glibmm 2.18

Returns
  A Icon that is owned by emblemed.

## ◆ get_icon() [2/2]

Glib::RefPtr< const Icon > Gio::EmblemedIcon::get_icon | ( |  | ) | const

Gets the main icon for emblemed.

Since glibmm 2.18

Returns
  A Icon that is owned by emblemed.

## ◆ get_type()

static GType Gio::EmblemedIcon::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GEmblemedIcon * Gio::EmblemedIcon::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GEmblemedIcon * Gio::EmblemedIcon::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GEmblemedIcon * Gio::EmblemedIcon::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

EmblemedIcon & Gio::EmblemedIcon::operator= | ( | EmblemedIcon && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gio::EmblemedIcon > wrap | ( | GEmblemedIcon * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.